Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

BlackBerry® PlayBook™

Reply
New Contributor
distracted247
Posts: 2
Registered: ‎03-28-2013
My Device: Playbook 32GB 3G
My Carrier: N/A

Unable to upgrade past OS 2.0.1.668

Hi all,

 

I have a 32GB 3g playbook that shows the current OS as version 2.0.1.668 and despite reading that 2.1 is now available for all Playbooks I don't get the download symbol in the top right. I have tried manually checking for updates and I receive a message telling me that I am up to date. When I went to check the OS release pages on the BB website to read the release notes and see if the newer OS wasn't for my model I noticed that 2.0.1.668 isn't listed.

 

Is there anybody here that can help me upgrade to the latest release?

 

Thank you

Please use plain text.
Guru I
John_Clark
Posts: 14,766
Registered: ‎04-01-2008
My Device: BlackBerry Z30, Z10 and Q10 w/OS 10.2.1.3247; PlayBook w/OS 2.1.0.1917
My Carrier: at&t

Re: Unable to upgrade past OS 2.0.1.668

It's possible that the 3G carrier that you Playbook is branded to is restricting it to OS 2.0.1.669.
--------------------------------------------------------------------------------
1. Please thank those who help you by clicking the "Like" button at the bottom of the post that helped you.
2. If your issue has been solved, please resolve it by marking the post "Solution?" which solved it for you!
Please use plain text.
New Contributor
distracted247
Posts: 2
Registered: ‎03-28-2013
My Device: Playbook 32GB 3G
My Carrier: N/A

Re: Unable to upgrade past OS 2.0.1.668

[ Edited ]

Thanks for the response.

 

That is possible but there is no carrier branding on the device and I haven't had any trouble using SIM cards from a couple of different carriers.

I thought it was a SIM unlocked device.

Please use plain text.
Trusted Contributor
MountainDew
Posts: 160
Registered: ‎02-14-2012
My Device: Playbook
My Carrier: Telus

Re: Unable to upgrade past OS 2.0.1.668

Can you connect your PB to WiFi? If you are able then you might be able to upgrade over the Internet instead of your 3G service provider.

Please use plain text.
Super Contributor
TexTucker
Posts: 349
Registered: ‎01-02-2013
My Device: pb
My Carrier: none

Re: Unable to upgrade past OS 2.0.1.668

[ Edited ]

distracted247 wrote:

Thanks for the response.

 

That is possible but there is no carrier branding on the device and I haven't had any trouble using SIM cards from a couple of different carriers.

I thought it was a SIM unlocked device.


It would appear (very little info either way) that unlocked Playbooks never get any updates. It has been reported on here as a hole in Blackberry's update strategy. People have been given them at BB events only to find they are stuck in limbo.

 

If it's 3G+, was it from Misco in UK by any chance?  

___________________
Please use plain text.
Guru I
John_Clark
Posts: 14,766
Registered: ‎04-01-2008
My Device: BlackBerry Z30, Z10 and Q10 w/OS 10.2.1.3247; PlayBook w/OS 2.1.0.1917
My Carrier: at&t

Re: Unable to upgrade past OS 2.0.1.668

Have you tried connecting via wifi? I'm pretty sure The Z10 won't update over cellular at all. The carriers want you to use wifi. If you haven't tried a wifi location give that a shot.
--------------------------------------------------------------------------------
1. Please thank those who help you by clicking the "Like" button at the bottom of the post that helped you.
2. If your issue has been solved, please resolve it by marking the post "Solution?" which solved it for you!
Please use plain text.